## org.mortbay.util
Class LogWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--org.mortbay.util.LogWriter

public class LogWriter
extends java.io.Writer

A Writer that writes to the Log when it is flushed. For best results wrap with a PrintWriter configured to flush on println() for example `PrintWriter out = new PrintWriter(new LogWriter(), true);`

Author:
  Kent Johnson

Constructor Summary
`LogWriter()`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(char[] cbuf)`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(int c)`
`void` `write(java.lang.String str)`
`void` `write(java.lang.String str, int off, int len)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogWriter

    public LogWriter()

Method Detail

### write

    public void write(int c)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
    `java.io.IOException`

### write

    public void write(char[] cbuf)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
    `java.io.IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.Writer`
    `java.io.IOException`

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
    `java.io.IOException`

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.Writer`
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in class `java.io.Writer`
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in class `java.io.Writer`
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.